import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import { DatabaseService } from '@backstage/backend-plugin-api';
import express from 'express';
import { SignalsService } from '@backstage/plugin-signals-node';
import { IdentityApi } from '@backstage/plugin-auth-node';

/**
 * The user settings backend plugin.
 *
 * @public
 */
declare const _default: _backstage_backend_plugin_api.BackendFeature;

/**
 * Type for the options passed to the "createRouter" function.
 *
 * @public
 * @deprecated This type is only exported for legacy reasons and will be removed in the future.
 */
type RouterOptions = {
    database: DatabaseService;
    identity: IdentityApi;
    signals?: SignalsService;
};
/**
 * Create the user settings backend routes.
 *
 * @public
 * @deprecated This function is only exported for legacy reasons and will be removed in the future.
 * Please {@link https://backstage.io/docs/backend-system/building-backends/migrating | migrate } to use the new backend system and follow these {@link https://github.com/backstage/backstage/tree/master/plugins/user-settings-backend#new-backend | instructions } to install the user settings backend plugin.
 */
declare function createRouter(options: RouterOptions): Promise<express.Router>;

export { type RouterOptions, createRouter, _default as default };
